@import "./Variables.scss";
.containerShopping {
  display: flex;
  color: $color-4;
}
.leftpan {
  flex: 7;
  background-color: $color-5;
  margin: 20px 0 20px 20px;
  border-radius: 10px;
}
.rightpan {
  position: sticky;
  top: 10%;
  flex: 3;
  margin: 20px 20px 20px 20px;
  border-radius: 20px;
  height: 30em;
  background-color: $color-5;
}
.rightpan h2 {
  padding-top: 1em;
  margin: 0 20px 0 20px;
  font-size: 40px;
  border-bottom: solid;
}
.gauche_prix {
  float: right;
}
.rightpan h3 {
  padding-top: 1em;
  margin: 0 20px 0 20px;
  font-size: 30px;
}
.panierpop {
  font-family: "Arapey";
  font-weight: 400;
  font-size: 64px;
  line-height: 70px;
  color: $color-4;
  text-shadow: 0px 4px 4px rgba(0, 0, 0, 0.25);
}
.toppan {
  text-align: center;
  margin-top: 1em;
  border-bottom: 0.5px solid $color-4;
}
.h2popgauch {
  display: flex;
  justify-content: flex-end;
  font-family: "Caudex";
  font-weight: 400;
  font-size: 20px;
  line-height: 31px;
  letter-spacing: 0.1em;
  color: $color-4;
}

.typelivraison {
  margin: 10% 0 0 15%;
}

.typelivraison select {
  height: 68px;
  background: $color-3;
  box-shadow: 0px 4px 4px rgba(0, 0, 0, 0.25);
  border-radius: 20px;
  font-family: "Caudex";
  font-style: normal;
  font-weight: 400;
  font-size: 24px;
  line-height: 31px;
  display: flex;
  align-items: center;
  text-align: center;
  letter-spacing: 0.1em;

  color: #6b562d;
  // border-radius: 10px;
  // font-size: 20px;
  width: 82%;
}
.btnpan {
  font-family: "Caudex";
  font-weight: 400;
  font-size: 32px;
  line-height: 41px;
  letter-spacing: 0.1em;
  color: $color-4;
  border: 1px solid $color-4;

  background-color: $color-5;
  border: 0.5px solid $color-4;
  box-sizing: border-box;

  width: 82%;
  margin-top: 10%;
  padding: 10px 10px 10px 10px;

  cursor: pointer;
}

.btnpan:hover {
  box-shadow: 6px 8px 5px 1px rgba(0, 0, 0, 0.28);
  transition: box-shadow 0.2s ease;
}

.unitempan {
  display: flex;
  margin-top: 1em;
  margin-bottom: 2em;
  margin-left: 1em;
}

.imgpan {
  min-height: 353px;
  min-width: 260px;
  max-width: 260px;
  max-height: 353px;
  border-radius: 10px;
  cursor: pointer;
}

.descrpan {
  margin-top: 1em;
  margin-left: 50px;
  border: 1px solid $color-4;
  box-sizing: border-box;
  padding: 20px;
  font-family: "Caudex";
  font-weight: 400;
  font-size: 20px;
  line-height: 31px;
  letter-spacing: 0.1em;
  height: 150px;
  overflow: auto;
  font-weight: bold;
}
.decrmargpan {
  display: block;
  margin-left: 1em;
  font-weight: normal;
}

.agrandpan {
  text-align: center;
  cursor: pointer;
  font-family: "Caudex";
  font-weight: 400;
  font-size: 36px;
  line-height: 46px;
  letter-spacing: 0.1em;
}

.prixpan {
  margin: 20px;
  font-family: "Caudex";
  font-style: normal;
  font-weight: 400;
  font-size: 30px;
  line-height: 46px;
  display: flex;
  align-items: center;
  letter-spacing: 0.1em;
  font-weight: bold;
}
.nbrarticlepan {
  margin: 20px;
  margin-left: 15%;
  width: 50px;
  height: 50px;
  text-align: center;
  background-color: $color-5;
  font-family: "Caudex";
  font-weight: 400;
  font-size: 24px;
  letter-spacing: 0.1em;
  color: $color-4;
}

.removepan {
  min-width: 75px;
}

.btnaddpan {
  font-family: "Caudex";
  font-weight: 400;
  font-size: 32px;
  line-height: 41px;
  letter-spacing: 0.1em;
  color: $color-4;
  border: 1px solid $color-4;

  background-color: $color-3;
  border: 0.5px solid $color-4;
  box-sizing: border-box;
  margin-left: 15%;
  width: 60%;
  padding: 3.5px;
  cursor: pointer;
}

#style-1::-webkit-scrollbar-track {
  -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.3);
  border-radius: 10px;
  background-color: #f5f5f5;
}

#style-1::-webkit-scrollbar {
  width: 12px;
  background-color: #f5f5f5;
}

#style-1::-webkit-scrollbar-thumb {
  border-radius: 10px;
  -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.3);
  background-color: $color-1;
}
